Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.filter
Class SSTableNamesIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.db.filter.SimpleAbstractColumnIterator
                  org.apache.cassandra.db.filter.SSTableNamesIterator

All Implemented Interfaces:
  java.util.Iterator<IColumn>, ColumnIterator

    public class SSTableNamesIterator

extends SimpleAbstractColumnIterator

Field Summary
`java.util.SortedSet<byte[]>` | `columns`

Constructor Summary
`SSTableNamesIterator(SSTableReader ssTable, java.lang.String key, java.util.SortedSet<byte[]> columnNames)`

Method Summary
`protected IColumn` | `computeNext()`
`ColumnFamily` | `getColumnFamily()` returns the CF of the column being iterated.

Methods inherited from class org.apache.cassandra.db.filter.SimpleAbstractColumnIterator
`close`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Field Detail

### columns

    public final java.util.SortedSet<byte[]> columns

Constructor Detail

### SSTableNamesIterator

    public SSTableNamesIterator(SSTableReader ssTable,
                                java.lang.String key,
                                java.util.SortedSet<byte[]> columnNames)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getColumnFamily

    public ColumnFamily getColumnFamily()

  Description copied from interface: `ColumnIterator`
  returns the CF of the column being iterated. The CF is only guaranteed to be available after a call to next() or hasNext().

### computeNext

    protected IColumn computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<IColumn>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation